## com.imcode.imcms.servlet.admin
Enum EditLink.Parameter

    java.lang.Object
      java.lang.Enum<EditLink.Parameter>
          com.imcode.imcms.servlet.admin.EditLink.Parameter

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EditLink.Parameter>

Enclosing class:
  EditLink

    public static enum EditLink.Parameter

extends java.lang.Enum<EditLink.Parameter>

Enum Constant Summary
`HREF`
`RETURN`
`TARGET`
`TITLE`
`USE_TARGET`

Method Summary
`static EditLink.Parameter` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EditLink.Parameter[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RETURN

    public static final EditLink.Parameter RETURN

### HREF

    public static final EditLink.Parameter HREF

### TITLE

    public static final EditLink.Parameter TITLE

### TARGET

    public static final EditLink.Parameter TARGET

### USE_TARGET

    public static final EditLink.Parameter USE_TARGET

Method Detail

### values

    public static final EditLink.Parameter[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(EditLink.Parameter c : EditLink.Parameter.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static EditLink.Parameter valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name